Returns the chromaticy blue primary point

- « Imagick::getImageBlob

- Imagick::getImageBorderColor »

- PHP Manual
- Imagick
- Returns the chromaticy blue primary point

# Imagick::getImageBluePrimary

(PECL imagick 2, PECL imagick 3)

Imagick::getImageBluePrimary — Returns the chromaticy blue primary point

### Description

public Imagick::getImageBluePrimary(): array

Returns the chromaticity blue primary point for the image.

### Parameters

`x`

  The chromaticity blue primary x-point.

`y`

  The chromaticity blue primary y-point.

### Return Values

Array consisting of "x" and "y" coordinates of point.

### Errors/Exceptions

Throws ImagickException on error.